<!DOCTYPE html>
<html lang="en">

<head>
  <%- include('../partials/head'); %>
  <link rel="preconnect" href="https://fonts.googleapis.com">
  <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
  <link href="https://fonts.googleapis.com/css2?family=Almarai&display=swap" rel="stylesheet">
  <link rel='stylesheet' href='/stylesheets/fringe.css' />

</head>

<body>
  <div class="fringe-container-center">
    <div class="fringe-title">
      <div class="text-gradient">
        Whose Ticket is it Anyway?
      </div>
    </div>
    <div class="ticket-container display-flex">
      <div class="fringe-ticket-main">
        <div class="fringe-ticket-head">
          <div class="fringe-ticket-brand">
            ticket designer
          </div>
        </div>
        <div class="ticket-content">
          <div class="fringe-ticket-content-block">
            <p class="ticket-section-title">
              Event Description
            </p>
            <p class="fringe-ticket-section-main" id="conditionText">
              Design your own ticket, and watch as the Glasgow Improv Theatre bring your ticket to life!
            </p>
          </div>
          <div class="fringe-ticket-content-row">
            <div class="fringe-ticket-content-block">
              <p class="ticket-section-title">
                Time
              </p>
              <p class="fringe-ticket-section-main" id="conditionText">
                6pm, August 26th
              </p>
            </div>
            <div class="fringe-ticket-content-block">
              <p class="ticket-section-title">
                Location
              </p>
              <p class="fringe-ticket-section-main" id="conditionText">
                Live on Twitch
              </p>
            </div>
          </div>
        </div>
      </div>

      <div class="fringe-ticket-stub">
        <div class="fringe-ticket-head">
        </div>
        <div class="ticket-content">
          <div class="fringe-ticket-content-block">
            <p class="ticket-section-title">
              Register
            </p>
            <p class="fringe-ticket-section-main" id="conditionText">
              Register for your invite
            </p>
            <p class="ticket-section-main" id="actionText">
              <div class="fringe-login-content">
                <form class="register-form needs-validation" id="registerform" novalidate>
                  <div class="form-group mb-3">
                    <input type="email" class="form-control" name="email" id="inputEmail"
                      placeholder="Enter your email address.." required>
                    <div class="invalid-feedback">
                      Please enter a valid email address
                    </div>
                  </div>
                  <button href="#" type="submit" id="registerSubmit" class="btn btn-light mt-2">Register</button>
                </form>
                <div id="registerSuccess" class="display-none">
                  <strong>Thanks, you've registered! We will email you when the ticket designer is launched with your invite to the show!</strong>
                </div>
              </div>
            </p>
          </div>
        </div>
      </div>
    </div>
    <div id="fringeInfo">
      <div class="collapse" id="collapseOne">
        <div class="card card-body">
          <h4>How it works</h4>
          <p><strong>Ticket designer launch date :</strong> August 19th
            <br><strong>Show date:</strong> August 26th
            <ul>
              <li>Register now as a ticket designer to receive updates on the show and the ticket designer platform!
              </li>
              <li>Once the ticket designer is live, you'll be able to create, save and share your ideas for the future of ticketing.</li>
              <li>The improv team will then perform unique live scenes based on tickets created by the audience.</li>
            </ul>
          </p>
        </div>
      </div>
      <div class="collapse" id="collapseTwo">
        <div class="card card-body">
          <h4>What is the ticket designer?</h4>
          <p>
            The ticket designer is a research prototype to help artists, venues and audiences to create and explore new
            kinds of tickets.
            <br><br>
            Ticket designers can use a mix of templates, conditions and actions to create, save and share a unique
            ticket, each with its' own unique rules. Anyone can use the ticket designer to create a customised ticket.
            <br><br>
            Build a ticket that listens to your Spotify, a ticket that lets you choose the setlist, or even a ticket
            that earns you money.
            <br><br>
            We've built this tool to explore and collect new ideas about what people value and how we pay for live
            events. As more people create tickets, we're building a library of different conditions and actions that
            will help us imagine the future of ticketing. You can find out more about our research <a href="/about" target="_blank">here</a>.
          </p>
        </div>
      </div>
      <p>
        <button id="howButton" class="btn btn-light button-custom"" type="button" data-bs-toggle="collapse" data-bs-target="#collapseOne" aria-expanded="false" aria-controls="collapseOne">
          How it works
        </button>
        <button id="whatButton" class="btn btn-light button-custom"" type="button" data-bs-toggle="collapse" data-bs-target="#collapseTwo" aria-expanded="false" aria-controls="collapseTwo">
          What is the ticket designer?
        </button>
      </p>

    </div>
    <%- include('../partials/footer'); %>
  </div>
  <div id="registerModal" class="modal" tabindex="-1">
    <div class="modal-dialog modal-dialog-centered">
      <div class="modal-content fringe-modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="registerModalLabel">Consent</h5>
          <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
        </div>
        <div class="modal-body register-modal-body">
          <p>The ticket designer is part of a research project at the University of Edinburgh. By registering, you
            consent to us contacting you via email regarding this event. Your data will not be shared with third
            parties. Further details on how we process your data
            can be found in our <a class="pink-link" href='/fringe/privacy-policy' target="_blank">privacy policy</a>.</p>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cancel</button>
          <button type="button" class="btn btn-primary" id="registerConfirm">Register</button>
        </div>
      </div>
    </div>
  </div>
  <%- include('../partials/footscripts'); %>
  <script src="/javascripts/fringe.js"></script>
</body>

</html>